XCOMM $XFree86: xc/lib/GL/mesa/src/drv/common/Imakefile.inc,v 1.3 2003/05/27 16:34:32 tsi Exp $

#ifndef MesaDrvSrcDir
#define MesaDrvSrcDir $(GLXLIBSRC)/mesa/src/drv
#endif

MESADRVSRCDIR = MesaDrvSrcDir

#ifndef MesaDrvCommonBuildDir
#define MesaDrvCommonBuildDir $(MESADRVSRCDIR)/common/
#endif
MESADRVCOMMONBUILDDIR = MesaDrvCommonBuildDir

#if Malloc0ReturnsNull
ALLOC_DEFINES = -DMALLOC_0_RETURNS_NULL
#endif

#if BuildXF86DRI
  DRI_DEFINES = GlxDefines -DX_BYTE_ORDER=$(X_BYTE_ORDER)
 DRI_INCLUDES = -I$(GLXLIBSRC)/dri \
		-I$(GLXLIBSRC)/glx \
		-I$(INCLUDESRC) \
		-I$(INCLUDESRC)/GL \
		-I$(SERVERSRC)/GL/dri \
		-I$(XF86OSSRC) \
		-I$(XF86COMSRC) \
		-I$(GLXLIBSRC)/dri/drm \
		-I$(GLXLIBSRC)/include
#endif

MESA_INCLUDES = -I$(MESASRCDIR)/src \
		-I$(MESADRVSRCDIR)/common
   X_INCLUDES = -I$(XINCLUDESRC) -I$(EXTINCSRC)

        MMSRC = $(MESADRVCOMMONBUILDDIR)mm.c
     UTILSSRC = $(MESADRVCOMMONBUILDDIR)utils.c
    TEXMEMSRC = $(MESADRVCOMMONBUILDDIR)texmem.c
    VBLANKSRC = $(MESADRVCOMMONBUILDDIR)vblank.c
 XMLCONFIGSRC = $(MESADRVCOMMONBUILDDIR)xmlconfig.c

        MMOBJ = $(MESADRVCOMMONBUILDDIR)mm.o
     UTILSOBJ = $(MESADRVCOMMONBUILDDIR)utils.o
    TEXMEMOBJ = $(MESADRVCOMMONBUILDDIR)texmem.o
    VBLANKOBJ = $(MESADRVCOMMONBUILDDIR)vblank.o
 XMLCONFIGOBJ = $(MESADRVCOMMONBUILDDIR)xmlconfig.o

       MMUOBJ = $(MESADRVCOMMONBUILDDIR)unshared/mm.o
    UTILSUOBJ = $(MESADRVCOMMONBUILDDIR)unshared/utils.o
   TEXMEMUOBJ = $(MESADRVCOMMONBUILDDIR)unshared/texmem.o
   VBLANKUOBJ = $(MESADRVCOMMONBUILDDIR)unshared/vblank.o
XMLCONFIGUOBJ = $(MESADRVCOMMONBUILDDIR)unshared/xmlconfig.o

       MMDOBJ = $(MESADRVCOMMONBUILDDIR)debugger/mm.o
    UTILSDOBJ = $(MESADRVCOMMONBUILDDIR)debugger/utils.o
   TEXMEMDOBJ = $(MESADRVCOMMONBUILDDIR)debugger/texmem.o
   VBLANKDOBJ = $(MESADRVCOMMONBUILDDIR)debugger/vblank.o
XMLCONFIGDOBJ = $(MESADRVCOMMONBUILDDIR)debugger/xmlconfig.o

       MMPOBJ = $(MESADRVCOMMONBUILDDIR)profiled/mm.o
    UTILSPOBJ = $(MESADRVCOMMONBUILDDIR)profiled/utils.o
   TEXMEMPOBJ = $(MESADRVCOMMONBUILDDIR)profiled/texmem.o
   VBLANKPOBJ = $(MESADRVCOMMONBUILDDIR)profiled/vblank.o
XMLCONFIGPOBJ = $(MESADRVCOMMONBUILDDIR)profiled/xmlconfig.o

#ifdef NeedToLinkMesaSrc
LinkSourceFile(hwlog.c, $(MESADRVSRCDIR)/common)
LinkSourceFile(mm.c, $(MESADRVSRCDIR)/common)
LinkSourceFile(texmem.c, $(MESADRVSRCDIR)/common)
LinkSourceFile(utils.c, $(MESADRVSRCDIR)/common)
LinkSourceFile(vblank.c, $(MESADRVSRCDIR)/common)
LinkSourceFile(xmlconfig.c, $(MESADRVSRCDIR)/common)
#endif
